use serde::{Deserialize, Serialize};
use uuid::Uuid;

#[derive(Serialize, Deserialize, Clone, Debug, Default, Ord, PartialOrd, PartialEq, Eq, Hash)]
pub struct FamilyId(Uuid);

impl FamilyId {
    pub fn new() -> Self {
        FamilyId { 0: Uuid::new_v4() }
    }
}